summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andrew Tkalia2022-05-04 10:48:35 +0200
committer Willy Sudiarto Raharjo2022-05-07 08:59:33 +0200
commit01c736b3cf20be1e8f5a130c93925e2940f5ea75 (patch)
tree2271ecc7a4269e3ed5b9d453720df744d306dc8b
parentc9419a19e40c2b6eb30e76dd05e5fa9ad4ec7f2d (diff)
downloadslackbuilds-01c736b3cf20be1e8f5a130c93925e2940f5ea75.tar.gz
system/zzzfm: Added (Multi-panel tabbed file manager)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/zzzfm/README15
-rw-r--r--system/zzzfm/doinst.sh13
-rw-r--r--system/zzzfm/slack-desc19
-rw-r--r--system/zzzfm/zzzfm.SlackBuild137
-rw-r--r--system/zzzfm/zzzfm.info10
5 files changed, 194 insertions, 0 deletions
diff --git a/system/zzzfm/README b/system/zzzfm/README
new file mode 100644
index 0000000000..746b1f1ec8
--- /dev/null
+++ b/system/zzzfm/README
@@ -0,0 +1,15 @@
+zzzfm is a multi-panel tabbed file manager for Linux
+with built-in VFS, udev-based device manager,
+customizable menu system, and bash integration forked
+from the unmaintained SpaceFM v1.06 codebase.
+
+To build zzzfm with gdb support, run:
+
+ DEBUG=yes sh zzzfm.SlackBuild
+
+To build zzzfm with video thumbnail support, run:
+
+ VIDEO_THUMBNAILS=yes sh zzzfm.SlackBuild
+
+udevil is an optional dependency to mount networks
+(nfs://, smb://, ftp://, ssh://) and other filesystems.
diff --git a/system/zzzfm/doinst.sh b/system/zzzfm/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/system/zzzfm/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/system/zzzfm/slack-desc b/system/zzzfm/slack-desc
new file mode 100644
index 0000000000..e49c0e6197
--- /dev/null
+++ b/system/zzzfm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+zzzfm: zzzfm (Multi-panel tabbed file manager)
+zzzfm:
+zzzfm: zzzFM is a multi-panel tabbed file manager for Linux
+zzzfm: with built-in VFS, udev-based device manager,
+zzzfm: customizable menu system, and bash integration.
+zzzfm:
+zzzfm: Homepage: https://gitlab.com/antix-contribs/zzzfm/
+zzzfm:
+zzzfm:
+zzzfm:
+zzzfm:
diff --git a/system/zzzfm/zzzfm.SlackBuild b/system/zzzfm/zzzfm.SlackBuild
new file mode 100644
index 0000000000..01d8b0b9a2
--- /dev/null
+++ b/system/zzzfm/zzzfm.SlackBuild
@@ -0,0 +1,137 @@
+#!/bin/bash
+# Slackware build script for zzzfm based on slackbuild for spacefm
+
+# Copyright 2012 Binh Nguyen <binhvng@gmail.com>
+# Copyright 2014-2017 Ryan P.C. McQuen | Everett, WA | ryanpcmcquen@member.fsf.org
+# Copyright 2017 Andreas Guldstrand
+# Copyright 2022 Andrew Tkalia <anddt@ukr.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=zzzfm
+VERSION=${VERSION:-1.0.7}
+SUFFIX="-5"
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+## thanks to Hunter S for the idea,
+## and ponce for the elegant solution
+DEBUG=${DEBUG:-no}
+if [ "${DEBUG}" = "yes" ]; then
+ SLKCFLAGS=$(echo $SLKCFLAGS | sed "s|-O2|-Og -ggdb3|g")
+fi
+
+## detect video thumbnail support, requires ffmpegthumbnailer:
+## http://slackbuilds.org/apps/ffmpegthumbnailer/
+
+VIDEO_THUMBNAILS=${VIDEO_THUMBNAILS:-no}
+if [ "pkg-config --exists libffmpegthumbnailer" -a "x${VIDEO_THUMBNAILS}" != "xno" ]; then
+ VIDEO_THUMBNAIL_FLAG="yes"
+ else VIDEO_THUMBNAIL_FLAG="no"
+fi
+
+set -euo pipefail
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-${VERSION}${SUFFIX}
+tar xvf $CWD/$PRGNAM-${VERSION}${SUFFIX}.tar.gz
+cd $PRGNAM-${VERSION}${SUFFIX}
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./autogen.sh \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --localedir=/usr/share/locale \
+ --disable-static \
+ --enable-largefile \
+ --enable-desktop-integration=yes \
+ --with-gtk2=yes \
+ --with-gtk3=no \
+ --enable-video-thumbnails=$VIDEO_THUMBNAIL_FLAG \
+ --enable-maintainer-mode=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+if [ "${DEBUG}" = "no" ]; then
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING* ChangeLog README* $PKG/usr/doc/$PRGNAM-$VERSION || true
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/zzzfm/zzzfm.info b/system/zzzfm/zzzfm.info
new file mode 100644
index 0000000000..1ef37fc6ab
--- /dev/null
+++ b/system/zzzfm/zzzfm.info
@@ -0,0 +1,10 @@
+PRGNAM="zzzfm"
+VERSION="1.0.7"
+HOMEPAGE="https://gitlab.com/antix-contribs/zzzfm/"
+DOWNLOAD="https://gitlab.com/antix-contribs/zzzfm/-/archive/1.0.7-5/zzzfm-1.0.7-5.tar.gz"
+MD5SUM="89c6fdf24d19985c119c0c22b94e49f8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andrew Tkalia"
+EMAIL="anddt@ukr.net"